System.ServiceModel 4.0.0.0 System.Object

You typically use objects to determine whether classes that extend and have encountered an error or warning condition by checking the and properties after importing or exporting the metadata. Tools can use these error and warning messages to report metadata import and export problems to the user.

Represents an error or warning event that occurred during the use of a or .

- Constructor
  4.0.0.0

  By default an error is created.

  Initializes a new instance of the class using the specified message.

  The error or warning message.
- Constructor
  4.0.0.0

  By default an error is created.

  Initializes a new instance of the class using the specified message and value.

  The message for the warning or error.
  Whether the is an error or a warning.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  For details about reference and value equality, see .

  Returns a value that indicates whether two objects have value equality.

  true if the two objects have value equality; otherwise, false.

- Method
  4.0.0.0
  System.Int32

  For details about hash codes, see .

  Returns a value that serves as a hash function for a object.

  A value suitable for use in hashing algorithms and data structures, such as a hash table.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the is a warning or an error.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the error or warning message.